using Gjs;

int main (string[] args) {
  try {
    var grcs = GLib.Resource.load ("./gjs.vapi.test.gresource");
    grcs._register ();
  } catch (GLib.Error e) {
    print (e.message + "\n");
  }
  
  string js_paths[] = {"resource:///gjs/test/vapi/test/",
                       null};
  
  var ctx = (Context) GLib.Object.@new (typeof (Context) , 
                                            "program-name", "test",
                                            "search-path", js_paths);
  
  int t_i;
  try {
    ctx.set_argv (args);
    var b = ctx.eval_file ("test.js", out t_i);
    print (ctx.program_name + "\n");
    b = bool.parse (b.to_string ());
  } catch (GLib.Error e) {
    print (e.message + "\n");
  }
  
  return 0;
}
